#config.py module
import os
import configparser
import hereiam_log

# update
# load or create if not provided
# update if old
# do nothing if already exists and is not old.
# return configuration
def update_config(configpath, logfilehath, configuration=None):
	
	#if config is not None, check to see if it needs updating
	if configuration == None:
		configuration = load_config(configpath)
		if configuration == None:
			configuration = create_config(configpath)
			hereiam_log.log(logfilehath, "Config file created")
		else:
			hereiam_log.log(logfilehath, "Config file loaded")
				
	else:
		configTime = configuration['fileupdate']
		fileTime = os.path.getmtime(configpath)
		
		if config_old(configpath, configuration):
			configuration = None
			configuration = load_config(configpath)
			hereiam_log.log(logfilehath, "Config changes implemented")
			
	
	return configuration
	

def config_old(configpath, configuration):
	configTime = configuration['fileupdate']
	fileTime = os.path.getmtime(configpath)
		
	if fileTime > configTime:
		return True
		
	else:
		return False
	
		
def load_config(filename):
	
	configuration = {}
	
	config = configparser.ConfigParser()
	
	config.read(filename)
	
	if len(config) == 0:
		return None
	
	sections = config.sections()

	configuration['type'] = config[sections[0]]['type']
	configuration['partner'] = config[sections[0]]['partner']
	configuration['server'] = config[sections[0]]['server']
	configuration['url'] = config[sections[0]]['url']
	configuration['port'] = int(config[sections[0]]['port'])
	configuration['username'] = config[sections[0]]['username']
	configuration['authentication'] = config[sections[0]]['authentication']
	configuration['hostname'] = config[sections[0]]['hostname']
	configuration['address'] = config[sections[0]]['address']
	configuration['testurl'] = config[sections[0]]['testurl']
	configuration['testport'] = int(config[sections[0]]['testport'])
	configuration['delay'] = int(config[sections[0]]['delay'])
	configuration['wildcard'] = config[sections[0]]['wildcard']
	configuration['autocheck'] = config[sections[0]]['autocheck']
	configuration['enabled'] = config[sections[0]]['enabled']
	configuration['fileupdate'] = os.path.getmtime(filename)
	

	
	return configuration
	
def create_config(filename):
	
	config = configparser.ConfigParser()
	
	default_section = 'hereiam'
	
	config[default_section] = {}
	
	hereiam = config[default_section]
	
	hereiam['type'] = 'easydns-provider'
	hereiam['partner'] = 'zoneedit'
	hereiam['server'] = 'www.example.com'
	hereiam['url'] = '/some/path/to/dnsfile'
	hereiam['port'] = 80
	hereiam['username'] = 'username'
	hereiam['authentication'] = 'specialcode'
	hereiam['hostname'] = 'your.host.name'
	hereiam['address'] = ''
	hereiam['testurl'] = '/some/test/file'
	hereiam['testport'] = 80
	hereiam['delay'] = 600
	hereiam['wildcard'] = 'no'
	hereiam['autocheck'] = 'yes'
	hereiam['enabled'] = 'yes'

	configuration = {}

	configuration['type'] = config[sections[0]]['type']
	configuration['partner'] = config[sections[0]]['partner']
	configuration['server'] = config[sections[0]]['server']
	configuration['url'] = config[sections[0]]['url']
	configuration['port'] = int(config[sections[0]]['port'])
	configuration['username'] = config[sections[0]]['username']
	configuration['authentication'] = config[sections[0]]['authentication']
	configuration['hostname'] = config[sections[0]]['hostname']
	configuration['address'] = config[sections[0]]['address']
	configuration['testurl'] = config[sections[0]]['testurl']
	configuration['testport'] = int(config[sections[0]]['testport'])
	configuration['delay'] = int(config[sections[0]]['delay'])
	configuration['wildcard'] = config[sections[0]]['wildcard']
	configuration['autocheck'] = config[sections[0]]['autocheck']
	configuration['enabled'] = config[sections[0]]['enabled']

	with open(filename, 'w') as configfile:
		config.write(configfile)
	
	configuration['fileupdate'] = os.path.getmtime(filename)
	
	return configuration
		

