<!-- DOCTYPE html -->

<html>
	<head>
		<title><?= $page_title; ?></title>
		<script src="./scripts/hereiam.js"></script>
		<link rel="stylesheet" href="./static/styles.css">
	</head>
	<body>
		<img class="iconimage" id='iconimage' src="./images/icon_large.png">
		<header>
			<h1>Here I am!</h1>
			<h3>Simple Dynaminc DNS Client</h3>
		</header>
		<main>
			<form action="./" method="post">
				<div class='settings row'>				
					<div class='redirection column'>
						<fieldset>
							<legend>Redirector:</legend>
							<label for="type">DNS Type:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="text" id="type" name="type" value=<?= '"' . $settings['type'] . '"' ?>>
							</span><br><br>
							<label for="partner">Partner:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="text" id="partner" name="partner" value=<?= '"' . $settings['partner'] . '"' ?>>
							</span><br><br>
							<label for="server">Server:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="text" id="server" name="server" value=<?= '"' . $settings['server'] . '"' ?>>
							</span><br><br>
							<label for="url">URL:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="text" id="url" name="url" value=<?= '"' . $settings['url'] . '"' ?>>
							</span><br><br>
							<label for="port">Port:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="number" id="port" name="port" value=<?= '"' . $settings['port'] . '"' ?>>
							</span><br><br>
							<label for="username">Username:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="text" id="username" name="username" value=<?= '"' . $settings['username'] . '"' ?>>
							</span><br><br>
							<label for="username">Password:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="text" id="password" name="password" value=<?= '"' . $settings['password'] . '"' ?>>
							</span><br><br>
						</fieldset>
					</div>
					<div class='host column'>
						<fieldset>
							<legend>Host:</legend>
							<label for="hostname">Hostname:</label>
							<span class="mandatory">*
								<input autocomplete="off" type="text" id="hostname" name="hostname" value=<?= '"' . $settings['hostname'] . '"' ?>>
							</span><br><br>
							<label for="delay">Update delay (secs >600):</label>
							<span class="mandatory">*
								<input autocomplete="off" type="number" id="delay" name="delay" value=<?= '"' . $settings['delay'] . '"' ?>>
							</span><br><br>
							<label for="address">IP Address:</label>
							<span class="not-mandatory">
								<input autocomplete="off" type="text" id="address" name="address" value=<?= '"' . $settings['address'] . '"' ?>>
							</span><br><br>
							<label for="testurl">Test URL:</label>
							<span class="mandatory">
								<input autocomplete="off" type="text" id="testurl" name="testurl" value=<?= '"' . $settings['testurl'] . '"' ?>>
							</span><br><br>
							<label for="testport">Test port:</label>
							<span class="mandatory">
								<input autocomplete="off" type="text" id="testport" name="testport" value=<?= '"' . $settings['testport'] . '"' ?>>
							</span><br><br>
							<label for="wildcard">Wildcard:</label>
							<label class="switch">
								<input id="wildcard" type="checkbox" name="wildcard" value="yes"  <?php echo ($settings['wildcard'] == 'yes' ? 'checked' : ''); ?>>
								<span class="slider round hereiam-normal"></span>
							</label><br><br>
							<label for="autocheck">Auto check:</label>
							<label class="switch">
								<input id="autocheck" type="checkbox" name="autocheck" value="yes" <?php echo ($settings['autocheck'] == 'yes' ? 'checked' : ''); ?>>
								<span class="slider round hereiam-normal"></span>
							</label><br><br>
							<label for="enabled">Enable</label>
							<label class="switch">
								<input type="checkbox" name="enabled" value="yes" <?php echo ($settings['enabled'] == 'yes' ? 'checked' : ''); ?>>
								<span class="slider round hereiam-important"></span>
							</label>
						</fieldset>
					</div>
				</div>
				<div class="apply button_row">
					<input type="submit" name="apply" value="Apply">Apply</input>
				</div>
			</form>
			<div class='log' id='div_log'>
				<fieldset class='log'>
					<legend>Log:</legend>
					<table class='log'>
						<tbody id='table_log'>
							<?php
								if (!empty($logfile))
								{
									foreach($logfile as $line_num => $line)
									{
										echo "<tr>";
										echo "	<td>" . $line . "</td>";
										echo "</tr>";
									}
								}
							?>
						</tbody>
					</table>
				</fieldset>
			</div>
		</main>
		<footer>
			<span>Copyright &#0169; 2021 Ray Anderson</span>
		</footer>
	</body>
</html>
